#!/bin/bash
export SDP_INSTANCE=${SDP_INSTANCE:-Undefined} 
export SDP_INSTANCE=${1:-$SDP_INSTANCE} 
if [[ $SDP_INSTANCE == Undefined ]]; then 
   echo "Instance parameter not supplied." 
   echo "You must supply the Perforce instance as a parameter to this script." 
   exit 1 
fi 

. /p4/common/bin/p4_vars $SDP_INSTANCE

$P4CBIN/p4login
p4 monitor show -ale | grep -a IDLE | grep -a -v "00:..:" | awk '{print $1}' | xargs kill > /dev/null 2>&1
p4 monitor show -ale | grep -a Init | grep -a -v "00:..:" | awk '{print $1}' | xargs kill > /dev/null 2>&1
